var qtdeMostrada = -qtdeCarregar;

function carregarDadosVendas() {
	$(document).off("scrollstop");	
	qtdeMostrada += qtdeCarregar;
	
	//a pressa nos obriga a esses cocos
	if (document.getElementById('tabelarelvendas').childNodes[3].innerHTML.indexOf("background-color: green") > 0) {
		return;
	}
	
	$('#colmostarporrelvendas').text($('#vendasmostrarpor').val());
	$('#divtabelavendas').css('display', 'none'); 
	$.ajaxSetup({
		beforeSend:	loads,
		complete: removes
	});
	$.post('vendas/relvendas.php',
		{
			marca: $('#filtromarca').val(),
			familia: $('#filtrofamilia').val(),
			grupo: $('#filtrogrupo').val(),
			subgrupo: $('#filtrosubgrupo').val(),
			produto: $('#codfiltroproduto').val(),
			gerente: $('#filtrogerente').val(),
			supervisor: $('#filtrosupervisor').val(),
			vendedor: $('#filtrovendedor').val(),
			cliente: $('#codfiltrocliente').val(),
			dataini: $('#datainivendas').val(),
			datafin: $('#datafinvendas').val(),
			descdev: document.getElementById('descdev').checked,
			somafrete: document.getElementById('somafrete').checked,
			trocapor: $('#trocapor').val(),
			rede: $("#filtrorede").val(),
			codcidade: $("#filtrocidade").val(),
			nroregiao: $("#filtroregiao").val(),
			mostrarpor: $('#vendasmostrarpor').val(),
			agruparpor: $('#vendasagrupar').val(),
			ordenarpor: $('#vendasordenar').val(),
			inicio: qtdeMostrada,
			qtde: qtdeCarregar
		},
		function(data){
			if (data.length > 5) { //gambito pq retora vazio de tamanho 5 (??????)
				document.getElementById('tabelarelvendas').childNodes[3].innerHTML += data;
				$("#tabelarelvendas").table("refresh");
			} else if (qtdeMostrada == 0) {
				alert("Período sem registros");
				$("#voltarrelvendas").click();
			}
		}
	);
	$('#divtabelavendas').css('display', 'block'); 
	
	$(document).on('scrollstop', scrollStopVendas);
}

function scrollStopVendas() {
	checkScroll(carregarDadosVendas, "relvendas"); //checkScroll em dadosJS.js
}
$.mobile.document

	.on('change', '#vendasmostrarpor', function(){
		if($('#vendasmostrarpor').val() == 'Subgrupo'){
			$('#vendasagrupar').val('Grupo');
			$('#vendasagrupar').selectmenu('refresh');
			$('#vendasagrupar').selectmenu('disable');
		}else{
			$('#vendasagrupar').selectmenu('enable');
		}
	})
	
	.on('click', '#botaovisualizarvendas', function() {
		qtdeMostrada = -qtdeCarregar;
		carregarDadosVendas();
	})
	
	.on('click', '#voltarrelvendas', function(){
		$("#tabelarelvendas tbody tr").remove();
	})
	
	.on('pageshow', '#relvendas', function() {
		$(document).on('scrollstop', scrollStopVendas);		
	})
	